## wicrawl-0.2a.tgz

=== Makefile ===
ETCDIR = /etc/wicrawl
INSTALLDIR = /usr/local/wicrawl
BINDIR = /usr/sbin
DOCDIR = /usr/share/doc/wicrawl
INSTALL = /usr/bin/install
PACKAGE = wicrawl
VERSION = 0.2a
DISTDIR = $(PACKAGE)-$(VERSION)
PACKAGEFILE = $(DISTDIR).tgz

all: clean deps wicrawl

deps:
	@cd util && make .deps
	@cd discovery && make .deps

wicrawl:
	@cd util && make
	@cd discovery && make
	@cd util/dhcp && ./configure && make
	@cd plugins/aircrack-wep-cracking/aircrack-ng-0.6.1 && make
	@cd plugins/cowpatty-wpa-psk-bruteforce/cowpatty && make
	@cd plugins/weplab-bruteforce/weplab-0.1.5 && ./configure && make

clean:
	@cd util && make clean
	@cd discovery && make clean
	@cd util/dhcp && make clean
	@cd plugins/aircrack-wep-cracking/aircrack-ng-0.6.1 && make clean
	@cd plugins/cowpatty-wpa-psk-bruteforce/cowpatty && make clean
	@cd plugins/weplab-bruteforce/weplab-0.1.5 && make clean
	@rm -rf $(DISTDIR)
	@rm -f $(PACKAGEFILE)

install:
	@echo
	@echo -e "Starting wicrawl installation:"
	@echo
	@echo "Installing base files in:   [$(INSTALLDIR)]"
	@echo "Installing binaries in:     [$(BINDIR)]"
	@echo "Installing config files in: [$(ETCDIR)]"
	@echo "Installing docs in:         [$(DOCDIR)]"
	@echo
	# Directories, perl modules, and conf files
	@$(INSTALL) -d $(INSTALLDIR)/plugins $(INSTALLDIR)/ui $(INSTALLDIR)/profiles
	@$(INSTALL) -d $(INSTALLDIR)/include/perl
	@$(INSTALL) include/perl/*.pm $(INSTALLDIR)/include/perl/
	@$(INSTALL) -d $(INSTALLDIR)/include/perl/Text/
	@$(INSTALL) include/perl/Text/*.pm $(INSTALLDIR)/include/perl/Text/
	@$(INSTALL) -D profiles/*.conf $(INSTALLDIR)/profiles/
	@$(INSTALL) -D discovery/apcore $(INSTALLDIR)/discovery/apcore
	@$(INSTALL) -D util/dhcp/work.linux-2.2/client/dhclient $(INSTALLDIR)/util/dhcp/dhclient
	# Docs
	@for file in `ls doc/ | grep -v CVS` ; do \
		install -D -m 644 doc/$$file $(DOCDIR)/$$file; \
	done
	# Plugins and plugin-engine
	@for dir in `ls plugins/ | grep -v CVS | grep -v plugin-engine` ; do \
		install -d $(INSTALLDIR)/plugins/$$dir; \
	done
	@for file in `find plugins/*/* | grep -v CVS` ; do \
		install -D -m 0755 $$file $(INSTALLDIR)/$$file; \
	done
	@cat plugins/plugin-engine | sed -e s_@@BASEDIR@@_$(INSTALLDIR)_ \
		> $(INSTALLDIR)/plugins/plugin-engine
	@chmod 755 $(INSTALLDIR)/plugins/plugin-engine
	# UI and themes
	@$(INSTALL) -D -m 0644 ui/wicrawl-gtk.conf $(ETCDIR)/wicrawl-gtk.conf
	@for file in `find ui/ | grep -v CVS | grep -v wicrawl-gtk` ; do \
		if [ -f $$file ] ; then \
			install -D $$file $(INSTALLDIR)/$$file; \
		fi \
	done
	@cat ui/wicrawl-gtk | sed -e s_@@BASEDIR@@_$(INSTALLDIR)_ \
		> $(BINDIR)/wicrawl
	@chmod 755 $(BINDIR)/wicrawl
	@echo
	@echo "Install Completed."
	@echo
	@echo "Run $(BINDIR)/wicrawl to get started"
	@echo

uninstall:
	@echo
	@echo -e "Sorry, not implemented yet, but here are the places we touched:"
	@echo
	@echo "Installed base files in:   [$(INSTALLDIR)]"
	@echo "Installed binaries in:     [$(BINDIR)]"
	@echo "Installed config files in: [$(ETCDIR)]"
	@echo "Installed docs in:         [$(DOCDIR)]"
	@echo

dist:
	@mkdir -p $(DISTDIR)
	@for file in `find . | grep -v CVS | grep -v ^.$$ | grep -v ^\./$(DISTDIR)` ; do \
		if [ -f $$file ] ; then \
			install -D $$file $(DISTDIR)/$$file; \
		fi \
	done
	@tar -czf $(PACKAGEFILE) $(DISTDIR)
	@echo -e "\nOutput package is in $(PACKAGEFILE)\n"

tags:
	find . -name \*.c -or -name \*.h | xargs etags

=== discovery/Makefile ===
PLATFORM := $(shell uname)

BINDIR=/usr/local/bin

CFLAGS = -g -Wall -I../include -I.

OBJS = base64.o discovery.o version.o hash.o ../util/libutil.a

LDFLAGS = -g

LDLIBS = -lpcap -lpthread -lm

SOURCES = base64.c discovery.c version.c

all: .deps apcore hashtest

ifeq ($(PLATFORM), Linux)
        OBJS += linux.o
endif

ifeq ($(PLATFORM), FreeBSD)
        OBJS += freebsd.o
endif

# Calculate source dependencies.  We include the resulting file at the end.
.deps: *.c
	gcc $(CFLAGS) -MM *.c > .deps

hashtest: hashtest.o

apcore: $(OBJS)
	gcc $(LDFLAGS) $(OBJS) $(LDLIBS) -o apcore

install:
	sudo cp -a apcore $(BINDIR)/

uninstall:
	sudo rm $(BINDIR)/apcore

clean:
	rm -f apcore $(OBJS) ~* .deps

.PHONY: clean install uninstall

include .deps

=== util/Makefile ===
BINDIR=/usr/local/bin

CFLAGS = -g -Wall -I../include -I.

OBJS = errlib.o util.o

LDFLAGS = -g

SOURCES = errlib.c util.c

all: .deps libutil.a

# Calculate source dependencies.  We include the resulting file at the end.
.deps: *.c
	gcc $(CFLAGS) -MM *.c > .deps

libutil.a: $(OBJS)
	ar r libutil.a $(OBJS)

clean:
	rm -f libutil.a $(OBJS) ~* .deps

.PHONY: clean install uninstall

include .deps

=== plugins/aircrack-wep-cracking/aircrack-ng-0.6.1/Makefile ===
CC              = gcc
CFLAGS          ?= -g -W -Wall -O3
OPTFLAGS        = -D_FILE_OFFSET_BITS=64

iCC             = /opt/intel/cc/9.0/bin/icc
iCFLAGS         = -w -mcpu=pentiumpro -march=pentiumpro
iOPTFLAGS       = -O3 -ip -ipo -D_FILE_OFFSET_BITS=64
PROF_DIR	= $(PWD)/prof

destdir         = 
prefix          = /usr/local
bindir          = $(prefix)/bin
sbindir         = $(prefix)/sbin
mandir          = $(prefix)/man/man1
datadir         = $(prefix)/share
docdir          = $(datadir)/doc/aircrack-ng

BINFILES        = aircrack-ng airdecap-ng arpforge-ng ivstools kstats
SBINFILES       = aireplay-ng airodump-ng
SCRIPTS         = airmon-ng
TESTFILES       = makeivs
OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt aircrack-ng-opt-prof prof/*
DOCFILES        = ChangeLog INSTALL README LICENSE AUTHORS VERSION

default:all

all: aircrack-ng airdecap-ng arpforge-ng aireplay-ng airodump-ng ivstools kstats makeivs

aircrack-ng-opt: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt -lpthread

aircrack-ng-opt-prof_gen: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) -prof_genx -DDO_PGO_DUMP -prof_dir$(PROF_DIR) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt-prof_gen -lpthread

aircrack-ng-opt-prof_use: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) -prof_use -prof_dir$(PROF_DIR) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt-prof -lpthread

aircrack-ng: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng -lpthread

airdecap-ng: src/airdecap-ng.c src/crypto.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/airdecap-ng.c src/crypto.c src/common.c -o airdecap-ng

arpforge-ng: src/arpforge-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/arpforge-ng.c src/common.c -o arpforge-ng

aireplay-ng: src/aireplay-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/aireplay-ng.c src/common.c -o aireplay-ng

airodump-ng: src/airodump-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/airodump-ng.c src/common.c -o airodump-ng

airmon-ng: src/airmon-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/airmon-ng.c src/common.c -o airodump-ng

ivstools: src/ivstools.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/ivstools.c src/common.c -o ivstools

kstats: src/kstats.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/kstats.c  -o kstats

makeivs: test/makeivs.c
	$(CC) $(CFLAGS) $(OPTFLAGS) test/makeivs.c -o makeivs

strip:
	strip $(BINFILES) $(SBINFILES) $(TESTFILES)

install:
	install -d $(destdir)$(bindir)
	install -m 755 $(BINFILES) $(destdir)$(bindir)
	install -m 755 $(TESTFILES) $(destdir)$(bindir)
	install -d $(destdir)$(sbindir)
	install -m 755 $(SBINFILES) $(destdir)$(sbindir)
	install -m 755 $(SCRIPTS) $(destdir)$(sbindir)
	install -d $(destdir)$(mandir)
	install -m 644 ./manpages/* $(destdir)$(mandir)

uninstall:
	rm -f $(destdir)$(bindir)/aircrack-ng
	rm -f $(destdir)$(bindir)/airodump-ng
	rm -f $(destdir)$(bindir)/airdecap-ng
	rm -f $(destdir)$(bindir)/arpforge
	rm -f $(destdir)$(bindir)/arpforge-ng
	rm -f $(destdir)$(bindir)/aireplay-ng
	rm -f $(destdir)$(bindir)/airmon.sh
	rm -f $(destdir)$(bindir)/mergeivs
	rm -f $(destdir)$(bindir)/pcap2ivs
	rm -f $(destdir)$(bindir)/ivstools
	rm -f $(destdir)$(bindir)/kstats
	rm -f $(destdir)$(bindir)/ivstools-ng
	rm -f $(destdir)$(sbindir)/airodump-ng
	rm -f $(destdir)$(sbindir)/aireplay-ng
	rm -f $(destdir)$(sbindir)/airmon.sh
	rm -f $(destdir)$(sbindir)/airmon-ng
	rm -f $(destdir)$(sbindir)/airmon
	rm -f $(destdir)$(mandir)/aircrack-ng.1
	rm -f $(destdir)$(mandir)/airdecap-ng.1
	rm -f $(destdir)$(mandir)/aireplay-ng.1
	rm -f $(destdir)$(mandir)/airmon.sh.1
	rm -f $(destdir)$(mandir)/airmon-ng.1
	rm -f $(destdir)$(mandir)/airodump-ng.1
	rm -f $(destdir)$(mandir)/arpforge.1
	rm -f $(destdir)$(mandir)/mergeivs.1
	rm -f $(destdir)$(mandir)/pcap2ivs.1
	rm -f $(destdir)$(mandir)/ivstools.1
	rm -f $(destdir)/usr/man/man1/aircrack-ng.1
	rm -f $(destdir)/usr/man/man1/airdecap-ng.1
	rm -f $(destdir)/usr/man/man1/aireplay-ng.1
	rm -f $(destdir)/usr/man/man1/airmon.sh.1
	rm -f $(destdir)/usr/man/man1/airodump-ng.1
	rm -f $(destdir)/usr/man/man1/arpforge.1
	rm -f $(destdir)/usr/man/man1/mergeivs.1
	rm -f $(destdir)/usr/man/man1/pcap2ivs.1
	
doc:
	install -d $(destdir)$(docdir)
	install -m 644 $(DOCFILES) $(destdir)$(docdir)
	

clean:
	rm -f $(destdir)$(SBINFILES) $(destdir)$(BINFILES) $(destdir)$(TESTFILES) $(destdir)$(OPTFILES)

=== plugins/cowpatty-wpa-psk-bruteforce/cowpatty/Makefile ===
##################################
# <jwright> Well, I may be doing stupid things with make
# <jwright> OK, it was Makefile stupid'ness
# <jwright> I don't really understand what the hell I am doing with Make, I'm
#           just copying other files and seeing what works.
# <dragorn> heh
# <dragorn> i think thats all anyone does
# <dragorn> make is a twisted beast
##################################
LDLIBS		= -lpcap
CFLAGS		= -pipe -Wall -DOPENSSL 
#CFLAGS		+= -O3
LDLIBS		+= -lcrypto
CFLAGS		+= -g3 -ggdb
#CFLAGS		+= -static
PROGOBJ		= md5.o sha1.o utils.o cowpatty.o genpmk.o
PROG		= cowpatty genpmk

all: $(PROGOBJ) $(PROG)

cowpatty: common.h md5.c md5.h sha1.h cowpatty.c cowpatty.h sha1.c \
            sha1.h utils.c utils.h
	$(CC) $(CFLAGS) cowpatty.c -o cowpatty utils.o md5.o sha1.o $(LDLIBS)

genpmk: genpmk.c cowpatty.h utils.h sha1.h common.h
	$(CC) $(CFLAGS) genpmk.c -o genpmk utils.o sha1.o $(LDLIBS)

utils: utils.c utils.h
	$(CC) $(CFLAGS) utils.c -c

md5: md5.c md5.h
	$(CC) $(CFLAGS) md5.c -c

sha1: sha1.c sha1.h
	$(CC) $(CFLAGS) sha1.c -c

clean:
	$(RM) $(PROGOBJ) $(PROG) *~

strip:
	@ls -l $(PROG)
	@strip $(PROG)
	@ls -l $(PROG)

love:
	@echo "Not right now, I have a headache."

=== plugins/weplab-bruteforce/weplab-0.1.5/Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/weplab
pkglibdir = $(libdir)/weplab
pkgincludedir = $(includedir)/weplab

top_builddir = .

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu
CC = gcc
HAVE_LIB = @HAVE_LIB@
LIB = @LIB@
LTLIB = @LTLIB@
MAKEINFO = makeinfo
PACKAGE = weplab
VERSION = 0.1.5

bin_PROGRAMS = weplab
man_MANS = weplab.1
EXTRA_DIST = $(man_MANS)
weplab_SOURCES = main.c analpfile.c analpfile.h bruteforce.c bruteforce.h capture.c capture.h debug.c debug.h dictionary.c dictionary.h globals.c globals.h heuristics.c heuristics.h md5.c md5.h wep.c wep.h globals.h attack.h attack.c
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DPACKAGE_NAME=\"weplab\" -DPACKAGE_TARNAME=\"main\" -DPACKAGE_VERSION=\"0.1.5\" -DPACKAGE_STRING=\"weplab\ 0.1.5\" -DPACKAGE_BUGREPORT=\"TopoLB\ -\ Jose\ Ignacio\ Sanchez\ \<topolb@users.sourceforge.net\>\" -DPACKAGE=\"weplab\" -DVERSION=\"0.1.5\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_PCAP_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SIGNAL_H=1 -DHAVE_TIME_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_WAIT_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBPCAP=1  -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS = 
LIBS = -lpcap 
weplab_OBJECTS =  main.o analpfile.o bruteforce.o capture.o debug.o \
dictionary.o globals.o heuristics.o md5.o wep.o attack.o
weplab_LDADD = $(LDADD)
weplab_DEPENDENCIES = 
weplab_LDFLAGS = 
CFLAGS = -g -O2 -Wall -pipe
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
Makefile.in NEWS aclocal.m4 config.guess config.sub configure \
configure.ac install-sh missing mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(weplab_SOURCES)
OBJECTS = $(weplab_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

weplab: $(weplab_OBJECTS) $(weplab_DEPENDENCIES)
	@rm -f weplab
	$(LINK) $(weplab_LDFLAGS) $(weplab_OBJECTS) $(weplab_LDADD) $(LIBS)

install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
analpfile.o: analpfile.c wep.h globals.h debug.h analpfile.h \
	heuristics.h
attack.o: attack.c globals.h attack.h
bruteforce.o: bruteforce.c globals.h debug.h bruteforce.h wep.h
capture.o: capture.c globals.h capture.h wep.h debug.h
debug.o: debug.c globals.h debug.h
dictionary.o: dictionary.c md5.h wep.h globals.h debug.h dictionary.h \
	attack.h
globals.o: globals.c globals.h
heuristics.o: heuristics.c wep.h globals.h debug.h heuristics.h \
	bruteforce.h attack.h
main.o: main.c globals.h debug.h dictionary.h bruteforce.h heuristics.h \
	analpfile.h capture.h attack.h
md5.o: md5.c md5.h
wep.o: wep.c debug.h globals.h wep.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS uninstall-man
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(MANS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am
	-rm -f config.status

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile install-man1 uninstall-man1 install-man \
uninstall-man tags mostlyclean-tags distclean-tags clean-tags \
maintainer-clean-tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== plugins/aircrack-wep-cracking/aircrack-ng-0.6.1/packages/PKGBUILD ===
# Contributor: ice-man <icemanf@gmail.com>
pkgname=aircrack-ng
pkgver=0.6.1
pkgrel="1" 
pkgdesc="aircrack is an 802.11 WEP and WPA-PSK keys cracking program that can recover this keys once enough encrypted packets have been captured."
source=(http://download.aircrack-ng.org/$pkgname-$pkgver.tar.gz)
url="http://www.aircrack-ng.org/doku.php"
md5sums=('303daa6f1b030f8f9a2f00542051b96c')
license="GPL"

build() {
      cd $startdir/src/$pkgname-$pkgver
      make
      make prefix=/usr docdir="/usr/share/doc/$pkgname-$pkgver" destdir="$startdir/pkg/" install
}
